# Silent Account verification

Silent account verification is a secure and zero-friction authentication method that confirms user identity or bank details in the background, without requiring manual input like passwords or OTPs.

`POST` `https://secctrl.tutelar.io/api/v1/kyc/banking/silent_account_verification`

## Post parameters description is given below

| Post Parameter | Type   | Is Mandatory | Description                                          |
| -------------- | ------ | ------------ | ---------------------------------------------------- |
| accountNo      | String | Yes          | Account Number                                       |
| ifsc           | String | Yes          | IFSC Code                                            |
| narration      | String | Yes          | Refers to a specific, pre-defined reference message. |
| mobileNumber   | String | No           | Mobile Number                                        |
| remitterName   | String | No           | Name of the remitter                                 |

### Sample Post Parameters

```json
{
  "accountNo": "1234567891",
  "ifsc": "HDFC0000001",
  "narration": "CSC",
  "mobileNumber": "8879000123",
  "remitterName": "Johnson"
}
```

## Success Response

```json
{
  "success": true,
  "code": 200,
  "message": "The request has been successfully completed.",
  "reference_id": "249d5913-5aae-4b52-bf78-448a4870476c",
  "status": "completed",
  "result": {
    "transDateTime": "22/04/2026 11:58:55",
    "beneficiaryName": "Mr Rahul S",
    "accountType": "SAVINGS",
    "rrn": "611211000002"
  },
  "requested_at": "2026-04-22T06:28:53.718Z",
  "completed_at": "2026-04-22T06:28:55.377Z"
}
```

## InProgress Response

```json
{
  "success": true,
  "code": 200,
  "message": "The request is being processed. Please wait for completion.",
  "reference_id": "10cc9473-ce11-425e-ac89-1f51ce6e78de",
  "status": "in_progress",
  "requested_at": "2024-04-22T05:28:49.245Z"
}
```

## Validation Error Response

```json
{
  "success": false,
  "code": 400,
  "message": "Account number should not be empty",
  "error": {
    "message": "Account number should not be empty",
    "field": "accountNo",
    "code": "BAD_REQUEST"
  }
}
{
  "success": false,
  "code": 400,
  "message": "Please enter a valid account number",
  "error": {
    "message": "Please enter a valid account number",
    "field": "accountNo",
    "code": "BAD_REQUEST"
  }
}
{
  "success": false,
  "code": 400,
  "message": "Invalid IFSC code",
  "error": {
    "message": "Invalid IFSC code",
    "field": "ifsc",
    "code": "BAD_REQUEST"
  }
}
{
  "success": false,
  "code": 400,
  "message": "Narration should not be empty",
  "error": {
    "message": "Narration should not be empty",
    "field": "narration",
    "code": "BAD_REQUEST"
  }
}
{
  "success": false,
  "code": 400,
  "message": "Invalid characters detected in narration",
  "error": {
    "message": "Invalid characters detected in narration",
    "field": "narration",
    "code": "BAD_REQUEST"
  }
}
{
  "success": false,
  "code": 400,
  "message": "Invalid Mobile Number",
  "error": {
    "message": "Invalid Mobile Number",
    "field": "mobileNumber",
    "code": "BAD_REQUEST"
  }
}
{
  "success": false,
  "code": 400,
  "message": "Invalid characters detected in remitter name",
  "error": {
    "message": "Invalid characters detected in remitter name",
    "field": "remitterName",
    "code": "BAD_REQUEST"
  }
}
```

## Failure Response

```json
{
  "success": true,
  "code": 200,
  "message": "The request could not be completed due to an error.",
  "reference_id": "3c94fbf2-1dd0-4d8b-ac9b-d0cccfb1d02a",
  "status": "failed",
  "error": {
    "message": "Invalid details were provided. Please submit valid details.",
    "code": "ERROR"
  },
  "requested_at": "2024-04-22T05:34:58.477Z",
  "completed_at": "2024-04-22T05:35:06.000Z"
}
```

## Check Document Status

## Get document details

This Get details API using to fetch the latest updated response when the above API gave the status as in-progress by using the reference\_id

`GET` `https://secctrl.tutelar.io/api/v1/kyc/banking/silent_account_verification`

## Query parameters description is given below

| Query Parameter | Type   | Is Mandatory | Description           |
| --------------- | ------ | ------------ | --------------------- |
| reference\_id   | String | Yes          | Document reference id |

## Success Response

```json
{
  "success": true,
  "code": 200,
  "message": "The request has been successfully completed.",
  "reference_id": "249d5913-5aae-4b52-bf78-448a4870476c",
  "status": "completed",
  "result": {
    "transDateTime": "22/04/2026 11:58:55",
    "beneficiaryName": "Mr Rahul S",
    "accountType": "SAVINGS",
    "rrn": "611211000002"
  },
  "requested_at": "2026-04-22T06:28:53.718Z",
  "completed_at": "2026-04-22T06:28:55.377Z"
}
```

## InProgress Response

```json
{
  "success": true,
  "code": 200,
  "message": "The request is being processed. Please wait for completion.",
  "reference_id": "e78337ea-b8db-4352-9e34-9fdee2dd6d4a",
  "status": "in_progress",
  "requested_at": "2026-04-22T06:23:00.818Z"
}
```

## Failure Response

```json
{
  "success": true,
  "code": 200,
  "message": "The request could not be completed due to an error.",
  "reference_id": "19e5f365-1784-455f-ba7c-db715b3b0873",
  "status": "failed",
  "error": {
    "message": "Invalid details were provided. Please submit valid details.",
    "code": "ERROR"
  },
  "requested_at": "2026-04-22T06:20:55.032Z",
  "completed_at": "2026-04-22T06:21:23.183Z"
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.v2.tutelar.io/silent-account-verification.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
